Name:		libva
Version:	2.5.0
Release:        1
Summary:	Libva is an implementation for VA-API (Video Acceleration API)
License:	MIT
URL:		https://github.com/intel/libva
Source0:	https://github.com/intel/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	libtool	libudev-devel libXext-devel libXfixes-devel libdrm-devel git
BuildRequires:  libpciaccess-devel mesa-libEGL-devel mesa-libGL-devel mesa-libGLES-devel
BuildRequires:  wayland-devel pkgconfig(wayland-client) pkgconfig(wayland-scanner)

Requires:	mesa-dri-filesystem


%description
Libva is an implementation for VA-API, which is an open-source library and API
specification, provides access to graphics hardware acceleration capabilities
for video processing. It consists of a main library and driver-specific
acceleration backends for each supported hardware vendor.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig


%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{name}-%{version} -p1 -Sgit
autoreconf -vif


%build
%configure --disable-static --enable-glx

%disable_rpath

%make_build


%install
%make_install INSTALL="install -p"
%delete_la

%post -p  /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc NEWS
%license COPYING
%ghost %{_sysconfdir}/libva.conf
%{_libdir}/libva*.so.*


%files devel
%{_includedir}/va
%{_libdir}/libva*.so
%{_libdir}/pkgconfig/libva*.pc


%changelog
* Thu Nov 28 2019 openEuler BuildTeam<buildteam@openeuler.org> - 2.3.0-2
- Package Init
